##########################################################################
# hugo systemd service file
##########################################################################

[Unit]
Description=hugo
After=network.target

[Install]
WantedBy=multi-user.target

[Service]
User=simon
Group=simon
Type=simple
Restart=on-failure

# service hardening
ProtectSystem=strict
NoNewPrivileges=yes
ProtectControlGroups=yes
PrivateTmp=yes
PrivateDevices=yes
DevicePolicy=closed
MemoryDenyWriteExecute=yes
ReadWritePaths=/home/simon/burble.dn42/site
SecureBits=keep-caps
AmbientCapabilities=CAP_NET_BIND_SERVICE

WorkingDirectory=/home/simon/burble.dn42/site

ExecStart=/usr/local/bin/hugo --bind='::' server \
  --navigateToChanged --liveReloadPort=443 --port 443\
  --baseURL https://wdev.burble.dn42/
     
#########################################################################
# end of file
